[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorBox.DoGetColors

Signals the OnGetColors event handler (when assigned).

## Declaration

Source position: colorbox.pas line 76

`protected procedure TCustomColorBox.DoGetColors; virtual;`

## Description

Called when the Colors in the control are (re-)loaded after setting a new value in Style. It is called if cbCustomColors has been included in Style.

## See also

TCustomColorBox.Style |  | Settings which determine the colors available in the control and their display style.
TCustomColorBox.Colors |  | Provides indexed access to the TColor value for items in the control.
TColorBoxStyles |  | Represents the available colors and the name display style used in color controls.